# Uses of Interface
org.springframework.web.multipart.MultipartHttpServletRequest

Packages that use MultipartHttpServletRequest
Package
Description
org.springframework.web.multipart
Multipart resolution framework for handling file uploads.
org.springframework.web.multipart.support
Support classes for the multipart resolution framework.

## Uses of MultipartHttpServletRequest in org.springframework.web.multipart

Methods in org.springframework.web.multipart that return MultipartHttpServletRequest
Modifier and Type
Method
Description
`MultipartHttpServletRequest`
MultipartResolver.`resolveMultipart(HttpServletRequest request)`
Parse the given HTTP request into multipart files and parameters, and wrap the request inside a `MultipartHttpServletRequest` object that provides access to file descriptors and makes contained parameters accessible via the standard ServletRequest methods.
Methods in org.springframework.web.multipart with parameters of type MultipartHttpServletRequest
Modifier and Type
Method
Description
`void`
MultipartResolver.`cleanupMultipart(MultipartHttpServletRequest request)`
Clean up any resources used for the multipart handling, like a storage for the uploaded files.

## Uses of MultipartHttpServletRequest in org.springframework.web.multipart.support

Classes in org.springframework.web.multipart.support that implement MultipartHttpServletRequest
Modifier and Type
Class
Description
`class`
`AbstractMultipartHttpServletRequest`
Abstract base implementation of the `MultipartHttpServletRequest` interface.
`class`
`DefaultMultipartHttpServletRequest`
Default implementation of the `MultipartHttpServletRequest` interface.
`class`
`StandardMultipartHttpServletRequest`
Spring MultipartHttpServletRequest adapter, wrapping a Servlet HttpServletRequest and its Part objects.
Methods in org.springframework.web.multipart.support that return MultipartHttpServletRequest
Modifier and Type
Method
Description
`MultipartHttpServletRequest`
StandardServletMultipartResolver.`resolveMultipart(HttpServletRequest request)`
Methods in org.springframework.web.multipart.support with parameters of type MultipartHttpServletRequest
Modifier and Type
Method
Description
`void`
StandardServletMultipartResolver.`cleanupMultipart(MultipartHttpServletRequest request)`